%define		orgname		kde-dev-utils
%define		_state		stable
%define		qtver		4.8.1

Summary:	An set of utils useful for building and maintaining KDE
Summary(pl.UTF-8):	Zestaw programów do kompilowania i utrzymywania KDE
Name:		kde4-%{orgname}
Version:	4.14.3
Release:	1
License:	GPL
Group:		X11/Development/Tools
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	b43b6e422ba8b71ad382604a2982fa95
URL:		http://www.kde.org/
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	QtScriptTools-devel >= %{qtver}
BuildRequires:	antlr
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	boost-devel >= 1.35.0
BuildRequires:	bzip2-devel
BuildRequires:	cmake >= 2.8.0
BuildRequires:	db-devel
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	gettext-devel
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	subversion-devel >= 0.37.0
BuildRequires:	utempter-devel
Suggests:	/usr/bin/perl
Obsoletes:	kde4-kdesdk-kpartloader
Obsoletes:	kde4-kdesdk-kstartperf
Obsoletes:	kde4-kdesdk-kuiviewer
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Package contains:
kpartloader - UML Modeller.
kstartperf - measures startup time for KDE applications.
kuiviewer - Qt Designer UI file Viewer.

%description -l pl.UTF-8
Pakiet zawiera:
kpartloader - modeler UML.
kstartperf - narzędzie służące do pomiaru czasu ładowania aplikacji KDE.
kuiviewer - przeglądarka plików UI generowanych przez Qt designera.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_gimpdir}/palettes,%{_appdefsdir}}

%{__make} -C build install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

rm -rf $RPM_BUILD_ROOT%{_iconsdir}/locolor

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libktrace.so.4.*
%ghost %{_libdir}/libktrace.so.4
%attr(755,root,root) %{_bindir}/demangle
%attr(755,root,root) %{_bindir}/kminspector
%attr(755,root,root) %{_bindir}/kmmatch
%attr(755,root,root) %{_bindir}/kmtrace
%attr(755,root,root) %{_bindir}/kpartloader
%attr(755,root,root) %{_bindir}/kstartperf
%attr(755,root,root) %{_bindir}/kuiviewer
%attr(755,root,root) %{_libdir}/kde4/kstartperf.so
%attr(755,root,root) %{_libdir}/kde4/kuiviewerpart.so
%attr(755,root,root) %{_libdir}/kde4/quithumbnail.so
%{_mandir}/man1/demangle.1*
%{_includedir}/kprofilemethod.h
%{_desktopdir}/kde4/kuiviewer.desktop
%{_datadir}/apps/kmtrace
%{_datadir}/apps/kpartloader
%{_datadir}/apps/kuiviewer
%{_datadir}/apps/kuiviewerpart
%{_iconsdir}/hicolor/*x*/apps/kuiviewer.png
%{_datadir}/kde4/services/designerthumbnail.desktop
%{_datadir}/kde4/services/kuiviewer_part.desktop
%changelog
* Sat Nov 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kde-dev-utils.git;a=log;h=master

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> cd86d0c
- updated to 4.14.3 (by update-kde4.sh)

* Mon Aug 25 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 98f37a8
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 235fafe
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 7d2aca6
- updated to 4.13.1 (by update-kde4.sh)

* Sat May 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 1f6bb1b
- up to 4.13.0
- more files packaged

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 4394fb2
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> ec82387
- updated to 4.12.3 (by update-kde4.sh)

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> eaa9004
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 67c7b80
- updated to 4.12.1 (by update-kde4.sh)

* Thu Dec 26 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 5e93a49
- new, based on kde4-kdesdk; three packages are joined in this package.

